跳转到主要内容
系统管理/统一认证服务器相关接口
POSTSingle Sign-On Server Interfaces起始版本 4.3.0同步需要认证

创建LDAP绑定

创建LDAP绑定

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • ldapUidString必填

    暂无描述。

  • accountUuidString必填

    账户UUID。

  • ldapServerUuidString

    LDAP服务器UUID。

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryImportAccountRefInventory必填

    详情参考inventory

    • idLong必填

      唯一标示该关系

    • credentialsString必填

      导入源使用的用户唯一标识,例如LDAP源导入的用户则为登录使用的UID

    • accountSourceUuidString必填

      导入源服务器UUID

    • accountUuidString必填

      账户UUID

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

POST/zstack/v1/ldap/bindings

/zstack/v1/ldap/bindings

操作 ID

CreateLdapBinding

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/ldap/bindings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"ldapUid":"<ldapUid>","accountUuid":"<accountUuid>","ldapServerUuid":"<ldapServerUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "id": 1, "credentials": "ou\u003dEmployee,uid\u003dtest", "accountSourceUuid": "41006790733e38db9ce810878e19f8a3", "accountUuid": "3be58c2832a939bf9bce2ea959e04ce8" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史